List folders
curl --request GET \
--url https://scribe.skeptrune.com/api/folders \
--cookie scribe_session=import requests
url = "https://scribe.skeptrune.com/api/folders"
headers = {"cookie": "scribe_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'scribe_session='}};
fetch('https://scribe.skeptrune.com/api/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "scribe_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/folders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "scribe_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scribe.skeptrune.com/api/folders")
.header("cookie", "scribe_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/folders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'scribe_session='
response = http.request(request)
puts response.read_body{
"folders": [
{
"id": "fld_7qRsTuVwXyZaBcDeFg3h",
"name": "Specs",
"scope": "workspace",
"parentId": null,
"ownerUserId": null,
"createdAt": 1752624000000,
"updatedAt": 1752624000000
}
]
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Folders
List folders
Returns the folders of one sidebar section. API keys act as their agent identity, so the private section lists the agent’s own folders; only legacy keys without an agent identity are limited to workspace folders.
GET
/
api
/
folders
List folders
curl --request GET \
--url https://scribe.skeptrune.com/api/folders \
--cookie scribe_session=import requests
url = "https://scribe.skeptrune.com/api/folders"
headers = {"cookie": "scribe_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'scribe_session='}};
fetch('https://scribe.skeptrune.com/api/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/folders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "scribe_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/folders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "scribe_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scribe.skeptrune.com/api/folders")
.header("cookie", "scribe_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/folders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'scribe_session='
response = http.request(request)
puts response.read_body{
"folders": [
{
"id": "fld_7qRsTuVwXyZaBcDeFg3h",
"name": "Specs",
"scope": "workspace",
"parentId": null,
"ownerUserId": null,
"createdAt": 1752624000000,
"updatedAt": 1752624000000
}
]
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Authorizations
cookieAuthbearerAuth
Browser session cookie set by the WorkOS sign-in flow.
Query Parameters
Folder section to list: 'workspace' or 'private'. Defaults to 'workspace'. Where a document or folder lives.
Available options:
workspace, private Example:
"workspace"
Response
The folders of the section.
Folders of one sidebar section.
Folders sorted by name.
Show child attributes
Show child attributes
Example:
[
{
"id": "fld_7qRsTuVwXyZaBcDeFg3h",
"name": "Specs",
"scope": "workspace",
"parentId": null,
"ownerUserId": null,
"createdAt": 1752624000000,
"updatedAt": 1752624000000
}
]